Loading...
Searching...
No Matches
irr::SEvent::SGUIEvent Struct Reference

Any kind of GUI event. More...

`#include <IEventReceiver.h>`

## Public Attributes

gui::IGUIElement * | Caller
| IGUIElement who called the event.
gui::IGUIElement * | Element
| If the event has something to do with another element, it will be held here.
gui::EGUI_EVENT_TYPE | EventType
| Type of GUI Event.

## Detailed Description

Any kind of GUI event.

Definition at line 265 of file IEventReceiver.h.

## Member Data Documentation

## Caller

gui::IGUIElement* irr::SEvent::SGUIEvent::Caller

IGUIElement who called the event.

Definition at line 268 of file IEventReceiver.h.

## Element

gui::IGUIElement* irr::SEvent::SGUIEvent::Element

If the event has something to do with another element, it will be held here.

Definition at line 271 of file IEventReceiver.h.

## EventType

gui::EGUI_EVENT_TYPE irr::SEvent::SGUIEvent::EventType

Type of GUI Event.

Definition at line 274 of file IEventReceiver.h.

The documentation for this struct was generated from the following file:

- IEventReceiver.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0